Sign inGet started

Create allow/block rule

POST
/workspaces/{workspaceId}/conversation-allowblock-rules
Allow/Block rules are an abuse prevention mechanism that allows you to define an allow-list and a block-list indicating whether a conversation can be start for a given contact.
Treść żądania
category
string
wymagane
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
type
string
wymagane
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
value
string
wymagane
Treść odpowiedzi
category
string
wymagane
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
createdAt
string
wymagane
createdBy
string
wymagane
id
string
wymagane
type
string
wymagane
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
updatedAt
string
wymagane
updatedBy
string
wymagane
value
string
wymagane
workspaceId
string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Przykład kodu
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversation-allowblock-rules" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "category": "domain",
  "value": "test.com",
  "type": "reject"
}'